<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.logging.logging-profile.file-handler">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="append,autoflush,enabled,encoding,file,filter-spec,formatter,level,name,named-formatter"/>
        <elem name="addr-params" value="profile,subsystem,logging-profile,file-handler"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.logging"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.logging.handler.$logging-profile.$file-handler"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.logging.filter.$filter-spec" optional="true"/>
        <capability name="$profile.org.wildfly.logging.formatter.$named-formatter" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.logging.logging-profile"/>
        <ref feature="subsystem.logging"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="filter-spec" nillable="true"/>
        <param name="level" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="logging"/>
        <param name="file-handler" feature-id="true"/>
        <param name="encoding" nillable="true"/>
        <param name="enabled" nillable="true"/>
        <param name="logging-profile" feature-id="true"/>
        <param name="formatter" nillable="true"/>
        <param name="autoflush" nillable="true"/>
        <param name="file"/>
        <param name="name" nillable="true"/>
        <param name="named-formatter" nillable="true"/>
        <param name="append" nillable="true"/>
    </params>
</feature-spec>